Bug Hunting Session
Bug 67995 - Impossible to Reuse Document Colors
Summary: Impossible to Reuse Document Colors
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2013-08-11 12:39 UTC by Tin Man
Modified: 2017-02-18 10:05 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Mockup of document colors in the color picker (10.20 KB, image/png)
2013-08-11 12:39 UTC, Tin Man
Details
test doc: perfomance problem with "Document Colors" (14.87 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-02-02 03:50 UTC, wanchai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tin Man 2013-08-11 12:39:12 UTC
Created attachment 83936 [details]
Mockup of document colors in the color picker

Currently, it's impossible to find and reuse a color that's used by the document, but not found in the default LibreOffice color palette.

A possible solution would be to list document colors in the color picker below the LibreOffice color palette.
Comment 1 Tin Man 2013-08-11 12:47:51 UTC
If the concept of document colors wasn't clear, I mean the colors that are in use by the document. Using a custom color for something would add that color to the Document colors section, and removing all elements with that custom color would remove it from the section.
Comment 2 suhail sullad 2013-11-12 16:48:52 UTC
Instead of making blocks for each color. it would be nice to use color dials like dial of a watch and each turn of the dial would change color and also can maintain list of document colors whenever user click on data of the text.
Comment 3 Robinson Tryon (qubit) 2013-11-25 02:37:46 UTC
(In reply to comment #1)
> If the concept of document colors wasn't clear, I mean the colors that are
> in use by the document.

Your description is very good -- I understand it :-)

> Using a custom color for something would add that
> color to the Document colors section, and removing all elements with that
> custom color would remove it from the section.

sounds reasonable to me.

Joel - This proposal sounds very familiar, but I can't find any other relevant bugs.

Status -> NEW
Comment 4 Joel Madero 2013-11-25 03:19:12 UTC
Ah - this is a GREAT idea - as for it being a PossibleEasyhack (I have my doubts ;) )

That being said it's similar to but not identical to bug 44366. If both could be implemented together it would be a fantastic addition to a future release. 


I'm bumping this up to "high" as I think a lot of people could potentially benefit from such a scheme. The "Colors in Document" section could include both colors from the top that are in use as well as custom colors

Thanks for the great suggestion
Comment 5 Rodolfo 2014-02-12 00:07:27 UTC
Hmm...
Should this color picker section have:
1. All document colors?
2. Only colors not from current default palette?
3. If is the color picker for background color: only background color found in document (or should it include the foreground ones too?)
Comment 6 Joel Madero 2014-02-12 00:38:11 UTC
IMHO all document colors - so you can easily see every color in the document - some dividing line between all colors in palette and the colors in the document
Comment 7 Joel Madero 2014-02-27 22:55:18 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 8 Adolfo Jayme 2014-12-09 02:23:13 UTC
This is fixed by the work done by Krisztian during GSoC ’14, although document colors have to be chosen in a drop-down menu rather than appearing below the LibreOffice color palette. I think that can be deferred since we still don’t offer color themes by default.
Comment 9 Yousuf Philips (jay) (retired) 2014-12-09 10:49:00 UTC
(In reply to Adolfo Jayme from comment #8)
> This is fixed by the work done by Krisztian during GSoC ’14, although
> document colors have to be chosen in a drop-down menu rather than appearing
> below the LibreOffice color palette. I think that can be deferred since we
> still don’t offer color themes by default.

The GSoc '14 drop down control has a 'document colors' entry in a drop down list which unfortunately shows a empty list even when colors are used in a document, so i believe this bug can be left open.
Comment 10 wanchai 2015-02-02 03:49:45 UTC
I was really looking forward to this feature! I'm glad it's here, but I am disappointed about the quality.

I tried it with the released version of Writer and Calc (4.4.0.3 on Linux Mint 17.1). The behaviour in Writer is erratic. I've seen it work partially (one of four colors shown) in a document that I started from scratch. But in others the list remains empty. In Calc it seems to work properly.

However, there seem to be some performance issues as well. Open the attached document (created with LO 4.3, not too fancy I would think), click on the arrow near the fill color, then change to "Document Color". It takes about five seconds for the list to appear.

In Calc the list is updated dynamically. Every change is reflected immediately. I am not so sure whether that's good. Imagine you are editing a document that was created by someone else and you don't have the color palette. The document contains three colors, and the first one is used only once. You change this to one of the other colors and then you want to use the first one again somewhere else in the document. However, since you removed the only occurence, it's gone from the list. Maybe additions should be reflected immediatley, deletions only after reloading the document.

What I would really like to see is a color palette that gets saved together with the document (I know, that requires changes in the container spec.) An easy way to create, save and load palettes would help too.
Comment 11 wanchai 2015-02-02 03:50:29 UTC
Created attachment 113042 [details]
test doc: perfomance problem with "Document Colors"
Comment 12 wanchai 2015-02-02 03:55:42 UTC
See also Bug 85521, maybe the two should be merged.
Comment 13 Robinson Tryon (qubit) 2015-12-13 11:20:58 UTC Comment hidden (obsolete)
Comment 14 Heiko Tietze 2016-09-23 11:50:31 UTC
This issue was solved with bug 94551. Document colors as well as recent colors and, newly introduced, the user palette are means to deal with colors. So while document colors will remain per document you can set up your own palette or apply the recently used colors.
Comment 15 Yousuf Philips (jay) (retired) 2016-09-23 19:25:59 UTC
No this hasnt been fixed with bug 94551, as what is intended for the 'Document Colors" palette entry is for LO to populate this palette with colors used in the document, so those particular colors can be used without relying on colors only the user who created the document would have in their recent color's list, assuming they also dont clear their user profile or edit the document on a different computer.
Comment 16 Heiko Tietze 2016-10-04 15:08:59 UTC
(In reply to Yousuf Philips (jay) from comment #15)
> No this hasnt been fixed...
> colors only the user who created the document would have in their
> recent color's list

That's rather a bug, at least a mockup is not needed. Shouldn't we file a new bug to make clear what's missing?
Comment 17 Heiko Tietze 2017-02-18 10:05:08 UTC
Document colors are working now as expected.